<?php
if( !defined('ABSPATH') ) exit;
?>

<div class="frpostpro-admin wrap">
	<div class="frpostpro-header">
		<h1><?php echo FRPOSTPRO_DEF_PLUGIN_NAME . " " . FRPOSTPRO_VERSION ?></h1>
	</div>
	
	<form class="frpostpro-form" id="frpostpro-form" method="POST">
		<input id="action" name="action" type="hidden" value="frpostpro_save_settings">

			<div id="frpostpro-preview" class="frpostpro-section">
						<h2><?php echo __('Preview', FRPOSTPRO_DEF_PLUGIN)?></h2>
						<div class="frpostpro-preview-wrap">
							<div class="frpostpro-wrap" id="frpostpro-prev-wrap">
								<div class='frpostpro-prev-close-button' id='frpostpro-prev-close-button'><svg height='12' viewBox='0 0 512.001 512.001' width='12' xmlns='http://www.w3.org/2000/svg'><g><path id='close-svg' fill='' d='m512.001 84.853-84.853-84.853-171.147 171.147-171.148-171.147-84.853 84.853 171.148 171.147-171.148 171.148 84.853 84.853 171.148-171.147 171.147 171.147 84.853-84.853-171.148-171.148z'/></g></svg></div>
								<div class="frpostpro-img"><?php echo sprintf('<img height="80px" width="130px" src="%s">', FRPOSTPRO_DEF_BASEURL . '/resources/images/preview.png');?></div>

								<div class="frpostpro-text">
									<div class="frpostpro-title"><?php echo __('Preview post title', FRPOSTPRO_DEF_PLUGIN)?></div>
									<div class="frpostpro-readmore" id="frpostpro-prev-readmore">Read more</div>
								</div>
							
							</div>
						</div>
			</div>

			<div class="frpostpro-section">
				<table class="form-table">
					<h2><?php echo __('General', FRPOSTPRO_DEF_PLUGIN)?></h2>	
					<tbody>
						<tr>
							<th scope="row"><?php echo __('Enable plugin', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<label class="switch">
								  <input type="checkbox" class="frpostpro-checkbox" <?php if($settings['frpostpro-enabled'] == 'yes') echo 'checked'?> id='frpostpro-enabled' name='frpostpro-enabled' value="<?php echo $settings['frpostpro-enabled'] ?>">
								  <span class="slider round"></span>
								</label>
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Show in Smartphone', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<label class="switch">
								  <input type="checkbox" class="frpostpro-checkbox" <?php if($settings['frpostpro-show-mobile'] == 'yes') echo 'checked'?> id='frpostpro-show-mobile' name='frpostpro-show-mobile' value="<?php echo $settings['frpostpro-show-mobile'] ?>">
								  <span class="slider round"></span>
								</label>
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Show in Desktop', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<label class="switch">
								  <input type="checkbox" class="frpostpro-checkbox" <?php if($settings['frpostpro-show-desktop'] == 'yes') echo 'checked'?> id='frpostpro-show-desktop' name='frpostpro-show-desktop' value="<?php echo $settings['frpostpro-show-desktop'] ?>">
								  <span class="slider round"></span>
								</label>
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Show close button', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<label class="switch">
								  <input type="checkbox" class="frpostpro-checkbox" <?php if($settings['frpostpro-close-button'] == 'yes') echo 'checked'?> id='frpostpro-close-button' name='frpostpro-close-button' value="<?php echo $settings['frpostpro-close-button'] ?>">
								  <span class="slider round"></span>
								</label>
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Closed time', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<input value="<?php echo $settings['frpostpro-close-time'];?>" id='frpostpro-close-time' name='frpostpro-close-time'  type="number" class="frpostpro-input">
								<p class="description"><?php echo __('Remember close action for X minutes. 0 to show always.', FRPOSTPRO_DEF_PLUGIN)?></p>
							</td>
						</tr>



						<tr>
							<th scope="row"><?php echo __('Smartphone position', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<select id='frpostpro-smartphone-position' name='frpostpro-smartphone-position' class='frpostpro-input'>
	                           	<option value="bottom" <?php if( $settings['frpostpro-smartphone-position'] == 'bottom') echo "selected" ?> ><?php echo __('Bottom',FRPOSTPRO_DEF_PLUGIN); ?></option>
	                            <option value="top" <?php if( $settings['frpostpro-smartphone-position'] == 'top') echo "selected" ?> ><?php echo __('Top',FRPOSTPRO_DEF_PLUGIN); ?></option>
	                        	</select>
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Desktop position', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<select id='frpostpro-desktop-position' name='frpostpro-desktop-position' class='frpostpro-input'>
	                           	<option value="bottom-right" <?php if( $settings['frpostpro-desktop-position'] == 'bottom-right') echo "selected" ?> ><?php echo __('Bottom right',FRPOSTPRO_DEF_PLUGIN); ?></option>
	                            <option value="bottom-left" <?php if( $settings['frpostpro-desktop-position'] == 'bottom-left') echo "selected" ?> ><?php echo __('Bottom left',FRPOSTPRO_DEF_PLUGIN); ?></option>
	                            <option value="top-right" <?php if( $settings['frpostpro-desktop-position'] == 'top-right') echo "selected" ?> ><?php echo __('Top right',FRPOSTPRO_DEF_PLUGIN); ?></option>
	                            <option value="top-left" <?php if( $settings['frpostpro-desktop-position'] == 'top-left') echo "selected" ?> ><?php echo __('Top left',FRPOSTPRO_DEF_PLUGIN); ?></option>
	                            </select>
							</td>
						</tr>

						
						<tr>
							<th scope="row"><?php echo __('Related by', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<select id='frpostpro-taxonomy' name='frpostpro-taxonomy' class='frpostpro-input'>
	                           	<option value="tag-and-category" <?php if( $settings['frpostpro-taxonomy'] == 'tag-and-category') echo "selected" ?> ><?php echo __('Tag and category',FRPOSTPRO_DEF_PLUGIN); ?></option>
	                            <option value="tag" <?php if( $settings['frpostpro-taxonomy'] == 'tag') echo "selected" ?> ><?php echo __('Only tag',FRPOSTPRO_DEF_PLUGIN); ?></option>
	                            <option value="category" <?php if( $settings['frpostpro-taxonomy'] == 'category') echo "selected" ?> ><?php echo __('Only category',FRPOSTPRO_DEF_PLUGIN); ?></option>
	                            </select>
							</td>
						</tr>


						<tr>
							<th scope="row"><?php echo __('Order by', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<select id='frpostpro-order' name='frpostpro-order' class='frpostpro-input'>
	                           	<option value="date" <?php if( $settings['frpostpro-order'] == 'date') echo "selected" ?> ><?php echo __('Date', FRPOSTPRO_DEF_PLUGIN); ?></option>
	                            <option value="random" <?php if( $settings['frpostpro-order'] == 'random') echo "selected" ?> ><?php echo __('Random', FRPOSTPRO_DEF_PLUGIN); ?></option>
	                           	</select>
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Time range', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<select id='frpostpro-range' name='frpostpro-range' class='frpostpro-input'>
								<option value="always" <?php if( $settings['frpostpro-range'] == 'always') echo "selected" ?> ><?php echo __('Always', FRPOSTPRO_DEF_PLUGIN); ?></option>
								<option value="today" <?php if( $settings['frpostpro-range'] == 'today') echo "selected" ?> ><?php echo __('Today', FRPOSTPRO_DEF_PLUGIN); ?></option>
								<option value="3-days" <?php if( $settings['frpostpro-range'] == '3-days') echo "selected" ?> ><?php echo __('Last 3 days', FRPOSTPRO_DEF_PLUGIN); ?></option>
	                           	<option value="7-days" <?php if( $settings['frpostpro-range'] == '7-days') echo "selected" ?> ><?php echo __('Last 7 days', FRPOSTPRO_DEF_PLUGIN); ?></option>
	                           	<option value="15-days" <?php if( $settings['frpostpro-range'] == '15-days') echo "selected" ?> ><?php echo __('Last 15 days', FRPOSTPRO_DEF_PLUGIN); ?></option>
	                           	<option value="30-days" <?php if( $settings['frpostpro-range'] == '30-days') echo "selected" ?> ><?php echo __('Last 30 days', FRPOSTPRO_DEF_PLUGIN); ?></option>
	                           	<option value="60-days" <?php if( $settings['frpostpro-range'] == '60-days') echo "selected" ?> ><?php echo __('Last 60 days', FRPOSTPRO_DEF_PLUGIN); ?></option>
	                           	<option value="90-days" <?php if( $settings['frpostpro-range'] == '90-days') echo "selected" ?> ><?php echo __('Last 90 days', FRPOSTPRO_DEF_PLUGIN); ?></option>
	                           	<option value="180-days" <?php if( $settings['frpostpro-range'] == '180-days') echo "selected" ?> ><?php echo __('Last 180 days', FRPOSTPRO_DEF_PLUGIN); ?></option>
	                           	<option value="335-days" <?php if( $settings['frpostpro-range'] == '365-days') echo "selected" ?> ><?php echo __('Last 365 days', FRPOSTPRO_DEF_PLUGIN); ?></option>
	                           	</select>
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Number of slides', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<input value="<?php echo $settings['frpostpro-slides'];?>" id='frpostpro-slides' name='frpostpro-slides'  type="number" class="frpostpro-input">
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Slide duration', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<input value="<?php echo $settings['frpostpro-slide-duration'];?>" id='frpostpro-slide-duration' name='frpostpro-slide-duration'  type="number" class="frpostpro-input">
								<p class="description"><?php echo __('Seconds', FRPOSTPRO_DEF_PLUGIN)?></p>
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Scroll trigger', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<input value="<?php echo $settings['frpostpro-scroll-trigger'];?>" id='frpostpro-scroll-trigger' name='frpostpro-scroll-trigger'  type="number" class="frpostpro-input">
								<p class="description"><?php echo __('Number of pixel you need to scroll in order to show the plugin. 0 to show always.', FRPOSTPRO_DEF_PLUGIN)?></p>
							</td>
						</tr>

						

						<tr>
							<th scope="row"><?php echo __('Read more text', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<input class="frpostpro-input" type="text" id='frpostpro-read-more' name='frpostpro-read-more' value="<?php echo wp_unslash($settings['frpostpro-read-more']) ?>">
							</td>
						</tr>

						

						<tr>
							<th scope="row"><?php echo __('Text color', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<input class="frpostpro-input-color frpostpro-input" id='frpostpro-text-color' name='frpostpro-text-color' value="<?php echo $settings['frpostpro-text-color'];?>">
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Background color', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<input class="frpostpro-input-color frpostpro-input" id='frpostpro-background-color' name='frpostpro-fullscreen-overlay-color' value="<?php echo $settings['frpostpro-background-color'];?>">
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Border color', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<input class="frpostpro-input-color frpostpro-input" id='frpostpro-border-color' name='frpostpro-border-color' value="<?php echo $settings['frpostpro-border-color'];?>">
							</td>
						</tr>

							

						<tr>
							<th scope="row"><?php echo __('Font size', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<input value="<?php echo $settings['frpostpro-font-size'];?>" id='frpostpro-font-size'  name='frpostpro-font-size'  class='frpostpro-input' type="number">
							</td>
						</tr>

						<tr>
							<th scope="row"><?php echo __('Z index', FRPOSTPRO_DEF_PLUGIN)?></th>
							<td>
								<input value="<?php echo $settings['frpostpro-z-index'];?>" id='frpostpro-z-index' name='frpostpro-z-index'  type="number" class="frpostpro-input">
								<p class="description"><?php echo __('Change this value if any element overlaps the plugin.', FRPOSTPRO_DEF_PLUGIN)?></p>
							</td>
						</tr>



					</tbody>
				</table>
				<input type='submit' id='frpostpro-submit' value='<?php echo __('Save settings', FRPOSTPRO_DEF_PLUGIN)?>' class="frpostpro-btn">
		</div>


				
				

	</form>		
</div>
	