(function( $ ) {
	'use strict';


	 $(function() {

		var sending = false;

		$("#frpostpro-form").submit(function(event){
		  	event.preventDefault();

		  	if(sending) {
		  		return
		  	}

		  	var data = {
		  		'action': frpostpro_back_js.action_save_settings,
		  		'nonce' : frpostpro_back_js.nonce,
		  		'frpostpro-enabled' : $('#frpostpro-enabled').val(),
		  		'frpostpro-show-mobile' : $('#frpostpro-show-mobile').val(),
		  		'frpostpro-show-desktop' : $('#frpostpro-show-desktop').val(),
		  		'frpostpro-taxonomy' : $('#frpostpro-taxonomy').val(),
		  		'frpostpro-order' : $('#frpostpro-order').val(),
		  		'frpostpro-slides' : $('#frpostpro-slides').val(),
		  		'frpostpro-slide-duration' : $('#frpostpro-slide-duration').val(),
		  		'frpostpro-scroll-trigger' : $('#frpostpro-scroll-trigger').val(),
		  		'frpostpro-read-more' : $('#frpostpro-read-more').val(),
		  		'frpostpro-background-color' : $('#frpostpro-background-color').val(),
		  		'frpostpro-text-color' : $('#frpostpro-text-color').val(),
		  		'frpostpro-font-size' : $('#frpostpro-font-size').val(),
		  		'frpostpro-z-index' : $('#frpostpro-z-index').val(),
		  		'frpostpro-border-color' : $('#frpostpro-border-color').val(),
		  		'frpostpro-smartphone-position': $('#frpostpro-smartphone-position').val(),
		  		'frpostpro-desktop-position' : $('#frpostpro-desktop-position').val(),
		  		'frpostpro-close-button' : $('#frpostpro-close-button').val(),
		  		'frpostpro-close-time' : $('#frpostpro-close-time').val(),
		  		'frpostpro-range' : $('#frpostpro-range').val(),
		  	}



		  	sending = true;
			 $.ajax({
	           type: "POST",
	           url: frpostpro_back_js.ajaxurl,
	           dataType: "json",
	           data: data,
	           success: function(data)
	           {
	           		sending = false;
	                if(data.error == false) {
	                	showNotification(NOTIFICATION_TYPE.success, data.message);
	                }else{
	                	showNotification(NOTIFICATION_TYPE.error, data.message);
	                }

	           },
	           error: function(data) {
	            	sending = false;
	            	showNotification(NOTIFICATION_TYPE.error, 'CONNECTION ERROR');
	            }
	         });
		});

		$('.frpostpro-checkbox').on("change", function() {
			if($(this).is(':checked')) {
				$(this).val('yes');
			}else{
				$(this).val('no');
			}
		});

		var NOTIFICATION_TYPE = {
			error: 'error',
			warning: 'warning',
			success: 'success',
		}

		function showNotification(type, text) {
			switch(type) {
				case NOTIFICATION_TYPE.success:
				$.growl.notice({ title:'', message: text});
				break;
				case NOTIFICATION_TYPE.error:
				$.growl.error({  title:'', message: text});
				break;
				case NOTIFICATION_TYPE.warning:
				$.growl.warning({ title:'', message: text});
				break
			}
		}

		


	 	$("#frpostpro-preview").sticky({topSpacing:$('#wpadminbar').height() - 5});


		$("#frpostpro-read-more").on("change keyup paste", function() {
		    $('.frpostpro-readmore').html($(this).val())
		});


		$("#frpostpro-font-size").on("change keyup paste", function() {
		    var font_size = $("#frpostpro-font-size").val();
		    $('.frpostpro-title').css({'font-size':Math.max(font_size, 5)+'px'});
		    $('.frpostpro-readmore').css({'font-size':Math.max(font_size - 2, 2)+'px'});
		});


		$('input.frpostpro-input-color').colorPicker({
			opacity: false,
		    renderCallback: function($elm, toggled) {
		      changeElementsColor($elm)
		    }
		});


		$('.frpostpro-readmore').html($('#frpostpro-read-more').val())
		var font_size = $("#frpostpro-font-size").val();
	    $('.frpostpro-title').css({'font-size':Math.max(font_size, 5)+'px'});
	    $('.frpostpro-readmore').css({'font-size':Math.max(font_size - 2, 2)+'px'});

		$('#frpostpro-prev-wrap').css({
									 'color':  $("#frpostpro-text-color").val(),
									 'background-color':  $("#frpostpro-background-color").val(),
									 'border-color':  $("#frpostpro-border-color").val()
									});
		 $("#close-svg").attr('fill', $("#frpostpro-text-color").val());

		$("#frpostpro-close-button").on("change", function() {
			if($(this).is(':checked')) {
				$("#frpostpro-prev-close-button").fadeIn()
			}else{
				$("#frpostpro-prev-close-button").fadeOut()
			}
		});

		if($("#frpostpro-close-button").is(':checked')) {
			$("#frpostpro-prev-close-button").show()
		}else{
			$("#frpostpro-prev-close-button").hide()
		}


		function changeElementsColor($elm) {
			 var id = $elm.attr('id');
		      if ($elm.text) {
		      	switch(id){

		      		case 'frpostpro-background-color':
		      		 $('#frpostpro-prev-wrap').css({'background-color':$elm.text});
		      		break;

		      		case 'frpostpro-border-color':
		      		 $('#frpostpro-prev-wrap').css({'border-color':$elm.text});
		      		break;

		      		case 'frpostpro-text-color':
		      		 $('#frpostpro-prev-wrap').css({'color':$elm.text});
		      		 $("#close-svg").attr('fill',$elm.text);
		      		 
		      		break;

		      		
		      	}
			}
		}


})
})( jQuery );